/* Z-INDICES */
/*
1: ;
2: ;
3: ;
4: ;
*/
@font-face {
	font-family: 'KenyanCoffeeRg-Regular';
	src: url('../fonts/KenyanCoffeeRg-Regular.eot?') format('eot'), 
	     url('../fonts/KenyanCoffeeRg-Regular.woff') format('woff'), 
	     url('../fonts/KenyanCoffeeRg-Regular.ttf')  format('truetype'),
	     url('../fonts/KenyanCoffeeRg-Regular.svg#KenyanCoffeeRg-Regular') format('svg');
}
@font-face {
	font-family: 'LittleSnorlax';
	src: url('../fonts/LittleSnorlax.eot?') format('eot'), 
	     url('../fonts/LittleSnorlax.woff') format('woff'), 
	     url('../fonts/LittleSnorlax.ttf')  format('truetype'),
	     url('../fonts/LittleSnorlax.svg#LittleSnorlax') format('svg');
}
body {
	background-color: #400;
	font-family: 'Roboto', sans-serif;
	margin: 0px;
	color: #fff;
	-webkit-margin-before: 0em;
	-webkit-margin-after: 0em;
	-webkit-margin-start: 0px;
	-webkit-margin-end: 0px;
	-webkit-padding-start: 0px;
	-webkit-touch-callout: none;
	-webkit-user-select: none;
	-khtml-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	user-select: none;
}
button {
	cursor: pointer;
}
a, #adminpanel .menu{
	color: #fff;
	font-family: 'KenyanCoffeeRg-Regular';
	outline: none;
}
#header {
	position: fixed;
	top: 0px;
	width: 100%;
	height: 100px;
	background-color: rgba(50,50,50,1);
	box-shadow: 0px 0px 15px #000;
	z-index: 2;
	min-width: 930px;
}
#postTip{
	float: right;
	color: #5b5;
	margin-right: 20px;
}
#postTip, #postTip:focus, .views{
	outline: none;
	float: right;
	height: 100px;
	font-size: 1.4em;
	background-color: transparent;
	border-color: transparent;
	font-family: 'Pacifico', cursive;
}
#postTip:hover, .views:hover{
	color: #ddd;
	text-shadow: 0px 0px 50px #fff;
}
#postTip:active, .views:active{
	color: #aaa;
}
#siteName{
	height: 100px;
}

.views{
	float: right;
	color: #fff;
}
#shortcuts{
	width: 80px;
	background-image: url("../content/keyboard.png");
	background-repeat: no-repeat;
	background-size: 70%;
	background-position: center;
	border-color: transparent;
}
form.views{
	margin-top: 38px;
	border-color: transparent;
}
form.views input, form.views input:focus{
	outline: none;
	position: relative;
	top: -5px;
	left: 6px;
	line-height: 30px;
	resize: none;
	font-size: 0.7em;
	background-color: rgba(90,90,90,1);
	border-width: 0px;
	font-family: 'Pacifico', cursive;
	text-align: center;
	color: #fff;
}
form.views button{
	width: 30px;
	height: 30px;
	background-color: rgba(110,110,110,1);
	background-image: url("../content/src.png");
	background-repeat: no-repeat;
	background-size: contain;
	background-position: center;
	border-color: transparent;
}
form.views button:hover{
	background-color: rgba(140,140,140,1);
}
#container {
	background-color: rgba(0,0,0,0.5);
	width: 100%;
	padding-top: 10px;
	padding-bottom: 10px;
	position: fixed;
	top: 100px;
	bottom: 50px;
	overflow-y: scroll;
	text-align: center;
}
.tip, .floatingoptions {
	height: 240px;
	width: 380px;
	margin: 10px;
	display: inline-block;
	position:relative;
	vertical-align:middle;
	border-radius: 0px 0px 40px 0px;
	background-color: rgba(100,100,100,0.3);
}
.tip{
	overflow: hidden;
	box-shadow: 0px 0px 2px #000 inset;
}
.floatingoptions{
	position: absolute;
	bottom: 240px;
	left: 0px;
	right: 0px;
	margin: auto;
	border-radius: 0px 0px 40px 0px;
	background-color: rgba(0,0,0,0.8);
	z-index: 1;
	transition: bottom 0.3s ease-in-out;
}
/*.tip:hover .floatingoptions{
	bottom: 0px;
}*/
.dropdown{
	height: 30px;
	width: 30px;
	border-radius: 50%;
	background-color: rgba(255,255,255,0.5);
	border-width: 2px;
	border-color: rgba(255,255,255,0.5);
	border-style: outset;
	position: absolute;
	top: 3px;
	left: 3px;
	margin: auto;
	cursor: pointer;
	z-index: 2;
	background-image: url("../content/optsclear.png");
	background-size: contain;
	background-position: center;
}
.dropdown:active{
	border-style: inset;
}
.vote, .vote:focus{
	height: 60px;
	width: 140px;
	border-radius: 5px;
	outline: none;
	margin: 5px;
	position: absolute;
	bottom: 120px;
	margin: auto;
	font-family: 'KenyanCoffeeRg-Regular';
	font-size: 1.5em;
	color: #000;
}
#upvote{
	right: 40px;
	background-color: #0f0;
	border-color: #0f0
}
#downvote{
	left: 40px;
	background-color: #f00;
	border-color: #f00
}
#votetext{
	position: absolute;
	bottom: 20px;
	right: 0px;
	left: 0px;
	margin: auto;
	font-family: 'KenyanCoffeeRg-Regular';
	font-size: 3em;
	cursor: default;
}
/*
.tip:nth-child(19){
	margin-left: 2px;
	margin-bottom: -3px;
}
.tip:nth-child(20){
	margin-left: -3px;
	margin-bottom: -3px;
}
*/
/* SLIDER STYLES */

#slider{
	height: 260px;
	width: 100%;
	background-color: rgba(255,0,0,0.1);
	overflow: hidden;
	border-style: dashed;
	border-width: 6px 0px 6px 0px;
	border-color: rgb(35,0,0);
}
#scrollarea{
	width: 2900px;
}
.scrolltip{
	width: 285px;
	height: 180px;
	position: relative;
	top: 30px;
	background-size: contain;
	transition: all 0.5s;
}
.scrolltip:hover{
	width: 380px;
	height: 240px;
	position: relative;
	top: 0px;
}
.midsize{
	width: 333px;
	height: 210px;
}
.slidernav{
	height: 40px;
	width: 40px;
	border-radius: 50%;
	background-color: rgba(255,255,255,0.3);
	border-color: rgba(255,255,255,0.3);
	border-width: 2px;
	z-index: 3;
	position: absolute;
	top: 115px;
	margin: auto;
	cursor: pointer;
	border-style: outset;
}
.slidernav:active{
	border-style: inset;
}
#left{	
	left: 45px;
	background-image: url("../content/left.png");
	background-size: contain;
	background-repeat: no-repeat;
}
#right{
	right: 45px;
	background-image: url("../content/right.png");
	background-size: contain;
	background-repeat: no-repeat;
}

/* SLIDER STYLES END */
#uploadContainer {
	height: 480px;
	width: 800px;
	position: absolute;
	top: 45px;
	bottom: 0px;
	right: 0px;
	left: 0px;
	margin: auto;
	background-color: rgba(100,100,100,0.3);
	box-shadow: 0px 0px 5px #000;
}
#uploadImage, #colorSelector {
	height: 260px;
	width: 380px;
	position: absolute;
	top: 0px;
	bottom: 0px;
	left: 50px;
	margin: auto;
	background-color: rgba(100,100,100,0.3);
	box-shadow: 0px 0px 5px #000;
}
#uploadImage{
	background-color: orange;
	font-family: 'KenyanCoffeeRg-Regular';
	border-radius: 0px 0px 40px 0px;
}
#previewText {
	width: 280px;
	height: 240px;
	margin-left: 85px;
	margin-top: 15px;
	color: #fff;
	font-family: 'KenyanCoffeeRg-Regular';
	font-size: 1.7em;
	word-break: break-word;
	text-align: center;
	line-height: 26px;
}
#colorSelector {
	height: 40px;
	top: 380px;
	text-align: center;
	-webkit-margin-before: 0em;
	-webkit-margin-after: 0em;
	-webkit-margin-start: 0px;
	-webkit-margin-end: 0px;
	-webkit-padding-start: 0px;
}
#colors {
	list-style-type: none;
	cursor: default;
	text-align: center;
	position: relative;
	top: 15px;
	-webkit-margin-before: 0em;
	-webkit-margin-after: 0em;
	-webkit-margin-start: 0px;
	-webkit-margin-end: 0px;
	-webkit-padding-start: 0px;
}
#colors li {
	height: 30px;
	width: 30px;
	border-radius: 50%;
	display: inline-block;
	margin-top: -11px;
	cursor: pointer;
}
#red { background-color: red;}
#orange { background-color: orange;}
#brown { background-color: brown;}
#green { background-color: green;}
#blue { background-color: blue;}
#indigo { background-color: indigo;}
#violet { background-color: violet;}
#black { background-color: black;}
#lightblue { background-color: lightblue;}
#cyan { background-color: #88f;}
#randomcolor { background: radial-gradient(red,orange,brown,green,blue,indigo,violet,black,#88f);}
#imageText, #charCountMessage, #tippername, #tiptag, #submission {
	position: absolute;
	bottom: 140px;
	right: 50px;
	width: 300px;
	margin: auto;
	font-family: 'Roboto', sans-serif;
	border-radius: 5px;
	border-width: 1px;
}
#imageText {
	height: 150px;
	resize: none;
	font-size: 0.9em;
	border-radius: 5px 5px 0px 0px;
}
#submission{
	width: 302px;
	height: 30px;
	bottom: 110px;
	border-radius: 0px 0px 5px 5px;
	border-width: 1px;
}
#tiptag{
	bottom: 340px;
	height: 30px;
	font-size: 1em;
	text-align: center;
}
#tippername{
	bottom: 300px;
	height: 30px;
	font-size: 1em;
	text-align: center;
}
#charCountMessage {
	height: 50px;
	bottom: 50px;
	text-align: center;
	color: #fff;
	cursor: default;
	font-size: 1.4em;
}
#sitelabel{
	position: absolute;
	left: 10px;
	top: 5px;
	font-family: 'LittleSnorlax';
	font-size: 3em;
}
#hashNum {
	transform:rotate(-90deg);
	-moz-transform:rotate(-90deg);
	-ms-transform:rotate(-90deg); /* IE 9 */
	-webkit-transform:rotate(-90deg); /* Opera, Chrome, and Safari */
	font-size: 4em;
	height: 50px;
	width: 150px;
	color: #fff;
	position: absolute;
	margin-left: -45px;
	margin-top: 150px;
}

/* FOOTER STYLES */

#footer {
	position: fixed;
	bottom: 0px;
	width: 100%;
	height: 50px;
	background-color: rgba(50,50,50,0.9);
	box-shadow: 0px 0px 15px #000;
	z-index: 2;
}
#footertitle a{
	font-family: "LittleSnorlax";
	font-size: 3em;
	float: left;
	position: relative;
	left: 5px;
	bottom: 5px;
}
#siteinfo{
	color: #fff;
	font-family: 'Pacifico', cursive;
	text-align: center;
	position: absolute;
	top: 15px;
	right: 0px;
	left: 0px;
	margin: auto;
}
/* FOOTER STYLES END */

/* KEYBOARD SHORTCUTS STYLES */
#shortcutsbg, #shortcutsscreen{
	display: none;
	height: 300px;
	width: 400px;
	background-image: url("../content/pattern.png");
	background-size: 4%;
	opacity: 0.3;
	position: absolute;
	right: 0px;
	left: 0px;
	top: 0px;
	bottom: 0px;
	margin: auto;
	z-index: 3;
	border-radius: 30px;
	border-width: 10px;
	border-color: #555;
	border-style: solid;
}
#shortcutsscreen{
	opacity: 0.8;
	background-image: none;
	background-color: #000;
	text-align: left;
}
#shortcutsscreen p{
	position: relative;
	left: 10px;
	font-family: 'KenyanCoffeeRg-Regular';
	font-size: 1.4em;
}
#kbtitle{
	text-align: center;
}
#closeopts{
	border-radius: 50%;
	background-image: url("../content/cross.png");
	background-repeat: no-repeat;
	background-position: center;
	background-size: contain;
	background-color: rgba(255,0,0,0.7);
	height: 30px;
	width: 30px;
	position: absolute;
	top: 10px;
	right: 10px;
	margin: auto;
	z-index: 4;
	cursor: pointer;
}
#closeopts:hover{
	box-shadow: 0px 0px 5px #f00;
}